Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface ExtensibleObject

All Known Subinterfaces:
  Association, AuditableEvent, Classification, ClassificationScheme, Concept, ExternalIdentifier, ExternalLink, ExtrinsicObject, Organization, PostalAddress, RegistryEntry, RegistryObject, RegistryPackage, Service, ServiceBinding, SpecificationLink, User

public interface ExtensibleObject

An ExtensibleObject is one that allows itself to be extended by utilizing dynamically added Slots that add arbitrary attributes to the object on a per instance basis.

Author:
  Farrukh S. Najmi
See Also:
  `Slot`

Method Summary
`void` | `addSlot(Slot slot)` Adds a Slot to this object.
`void` | `addSlots(java.util.Collection slots)` Adds more Slots to this object.
`Slot` | `getSlot(java.lang.String slotName)` Gets the slot specified by slotName.
`java.util.Collection` | `getSlots()` Returns the Slots associated with this object.
`void` | `removeSlot(java.lang.String slotName)` Removes a Slot from this object.
`void` | `removeSlots(java.util.Collection slotNames)` Removes specified Slots from this object.

Method Detail

### addSlot

    public void addSlot(Slot slot)
                 throws JAXRException

  Adds a Slot to this object.

  Capability Level: 0

  Parameters:
    `slot` - the Slot object being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### addSlots

    public void addSlots(java.util.Collection slots)
                  throws JAXRException

  Adds more Slots to this object.

  Capability Level: 0

  Parameters:
    `slots` - the Collection of Slot objects being added to this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeSlot

    public void removeSlot(java.lang.String slotName)
                    throws JAXRException

  Removes a Slot from this object. The Slot is identified by its name.

  Capability Level: 0

  Parameters:
    `slotName` - the name for the Slot object being removed from this object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### removeSlots

    public void removeSlots(java.util.Collection slotNames)
                     throws JAXRException

  Removes specified Slots from this object. The Slots are identified by its name.

  Capability Level: 0

  Parameters:
    `slotNames` - the Collection of names for Slot objects being removed from this object. Must be a Collection of Strings
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getSlot

    public Slot getSlot(java.lang.String slotName)
                 throws JAXRException

  Gets the slot specified by slotName.

  Capability Level: 0

  Parameters:
    `slotName` - the name of the desired Slot object
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getSlots

    public java.util.Collection getSlots()
                                  throws JAXRException

  Returns the Slots associated with this object.

  Capability Level: 0

  Returns:
    Collection of Slot instances. The Collection may be empty but not null.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.